Subject: Re: bug#12044: 24.1; ls does not support --dired

From: Glenn Morris <[email-masked]>
Date: Mon, 06 Aug 2012 13:47:31 -0400

Peter Dyballa wrote:

>> Either customize dired-use-ls-dired to nil, to suppress the message and
>> go back to how it used to be, or it seems on your system you can set
>> insert-directory-program to "gls", which is GNU ls I assume.
>
> 	(setq insert-directory-program "gls") 
>
> still seems to do the job – and it silences the report.

As I said. Nothing has changed in this regard.

> But… 'emacs -Q' shows the report

As expected.

> The latter output is from gls, the former from the ls emulation?

I have no idea what you mean, or what the bug is supposed to be here. 
Emulation of ls in lisp is used by default on MS Windows only.
It has no relevance to any other platform unless you explicitly choose
to use it.